TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.domains.list({
from: "from",
take: 1,
});
}
main();import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.domains.list({
from: "from",
take: 1,
});
}
main();
package example
import (
context "context"
myorganization "github.com/auth0/myorganization-go/v2"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &myorganization.ListOrganizationDomainsRequestParameters{
From: myorganization.String(
"from",
),
Take: myorganization.Int(
1,
),
}
c.Organization.Domains.List(
context.TODO(),
request,
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
using Auth0.MyOrganizationApi.Organization;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.Domains.ListAsync(
new ListOrganizationDomainsRequestParameters {
From = "from",
Take = 1
}
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
import com.auth0.client.myorganization.organization.types.ListOrganizationDomainsRequestParameters;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().domains().list(
ListOrganizationDomainsRequestParameters
.builder()
.from("from")
.take(1)
.build()
);
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.domains.list(
from_="from",
take=1,
)
curl --request GET \
--url https://{tenantDomain}/my-org/v1/domains \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/domains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/domains")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"next": "eyJpZCI6Im9yZF96VzFVSGV0dmtCV1NXZENEZThEV3E3IiwidGVuYW50IjoidGVzdC10ZW5hbnQifQ",
"organization_domains": [
{
"id": "ord_aW1UHetvkBWSWdCCe8DWq7",
"org_id": "org_zW1UHutvkVWSWdCC",
"domain": "acme.com",
"status": "pending",
"verification_txt": "dove_text=asdfpiujnlewp-23849jdkfjzxcfpiawer",
"verification_host": "_ss-verification.org_zW1UHutvkVWSWdCC.acme.com"
},
{
"id": "ord_zW1UHetvkBWSWdCDe8DWq7",
"org_id": "org_nW1UHutvkVWSWdCG",
"domain": "roadrunner.com",
"status": "failed",
"verification_txt": "dove_text=bcxzpiujnlewp-23849jdkfjzxcfpiawer",
"verification_host": "_ss-verification.org_nW1UHutvkVWSWdCG.acme.com"
}
]
}{
"type": "https://auth0.com/api-errors#A0E-400-0003",
"status": 400,
"title": "Validation Error",
"validation_errors": [
{
"detail": "is required",
"field": "data/property_name",
"pointer": "/property_name",
"source": "params"
}
]
}{
"type": "https://auth0.com/api-errors#A0E-401-0002",
"status": 401,
"title": "Missing Token",
"detail": "No auth token provided."
}{
"type": "https://auth0.com/api-errors#A0E-403-0002",
"status": 403,
"title": "Insufficient Scope",
"detail": "The auth token lacks the required scope: Check the API documentation for the required scopes for this endpoint."
}{
"type": "https://auth0.com/api-errors#A0E-404-0002",
"status": 404,
"title": "Resource Not Found",
"detail": "The organization does not exist."
}{
"type": "https://auth0.com/api-errors#A0E-429-0003",
"status": 429,
"title": "Endpoint Rate Limit Exceeded",
"detail": "The endpoint request limit has been exceeded."
}List domains
Retrieve a list of all pending and verified domains for this Organization.
GET
/
domains
TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.domains.list({
from: "from",
take: 1,
});
}
main();import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.domains.list({
from: "from",
take: 1,
});
}
main();
package example
import (
context "context"
myorganization "github.com/auth0/myorganization-go/v2"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &myorganization.ListOrganizationDomainsRequestParameters{
From: myorganization.String(
"from",
),
Take: myorganization.Int(
1,
),
}
c.Organization.Domains.List(
context.TODO(),
request,
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
using Auth0.MyOrganizationApi.Organization;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.Domains.ListAsync(
new ListOrganizationDomainsRequestParameters {
From = "from",
Take = 1
}
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
import com.auth0.client.myorganization.organization.types.ListOrganizationDomainsRequestParameters;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().domains().list(
ListOrganizationDomainsRequestParameters
.builder()
.from("from")
.take(1)
.build()
);
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.domains.list(
from_="from",
take=1,
)
curl --request GET \
--url https://{tenantDomain}/my-org/v1/domains \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/domains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/domains")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"next": "eyJpZCI6Im9yZF96VzFVSGV0dmtCV1NXZENEZThEV3E3IiwidGVuYW50IjoidGVzdC10ZW5hbnQifQ",
"organization_domains": [
{
"id": "ord_aW1UHetvkBWSWdCCe8DWq7",
"org_id": "org_zW1UHutvkVWSWdCC",
"domain": "acme.com",
"status": "pending",
"verification_txt": "dove_text=asdfpiujnlewp-23849jdkfjzxcfpiawer",
"verification_host": "_ss-verification.org_zW1UHutvkVWSWdCC.acme.com"
},
{
"id": "ord_zW1UHetvkBWSWdCDe8DWq7",
"org_id": "org_nW1UHutvkVWSWdCG",
"domain": "roadrunner.com",
"status": "failed",
"verification_txt": "dove_text=bcxzpiujnlewp-23849jdkfjzxcfpiawer",
"verification_host": "_ss-verification.org_nW1UHutvkVWSWdCG.acme.com"
}
]
}{
"type": "https://auth0.com/api-errors#A0E-400-0003",
"status": 400,
"title": "Validation Error",
"validation_errors": [
{
"detail": "is required",
"field": "data/property_name",
"pointer": "/property_name",
"source": "params"
}
]
}{
"type": "https://auth0.com/api-errors#A0E-401-0002",
"status": 401,
"title": "Missing Token",
"detail": "No auth token provided."
}{
"type": "https://auth0.com/api-errors#A0E-403-0002",
"status": 403,
"title": "Insufficient Scope",
"detail": "The auth token lacks the required scope: Check the API documentation for the required scopes for this endpoint."
}{
"type": "https://auth0.com/api-errors#A0E-404-0002",
"status": 404,
"title": "Resource Not Found",
"detail": "The organization does not exist."
}{
"type": "https://auth0.com/api-errors#A0E-429-0003",
"status": 429,
"title": "Endpoint Rate Limit Exceeded",
"detail": "The endpoint request limit has been exceeded."
}Authorizations
OAuth2ClientCredentialsOAuth2AuthCode
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
An optional cursor from which to start the selection (exclusive).
Required string length:
1 - 1000Number of results per page. Defaults to 50.
Required range:
1 <= x <= 100